/*
 @C:\WEB_511\Sql\End_Conv\Oracle\5055_FISSTPO_Consulta_Fiscal.SQL

 Descrio:
 Procedure para consulta dos Parametros fiscais

*/

CREATE OR REPLACE PROCEDURE CONSULTA_FISCAL(
    P_EMPRESA       IN INCIDENCIA.CDEMPRESA%TYPE,
    P_ENTRSAID      IN INCIDENCIA.IDENTRSAIDIN%TYPE,
    P_TIPOOPER      IN INCIDENCIA.CDTIPOOPER%TYPE,
    P_INSCESTA      IN INCIDENCIA.CDINSCESTA%TYPE,
    P_CDGRUPOFISC   IN INCIDENCIA.CDGRUPOFISC%TYPE,
    P_PRODUTO       IN PRODUTO.CDARVPROD%TYPE,
    P_INIVALID      IN ALIQUOTA.DTINIVALID%TYPE,
    P_IDINTEREST    IN INCIDENCIA.IDINCINTEREST%TYPE DEFAULT 'N',
    P_IMPOSTO       IN ALIQUOTA.CDIMPOSTO%TYPE,
    P_PAISORIG      IN PAIS.CDPAIS%TYPE,
    P_ESTAORIG      IN ESTADO.SGESTADO%TYPE,
    P_PAISDEST      IN PAIS.CDPAIS%TYPE,
    P_ESTADEST      IN ESTADO.SGESTADO%TYPE,
    P_CDMUNICIPIO   IN MUNICIPIO.CDMUNICIPIO%TYPE,
    P_BASECALC      IN ALIQUOTA.VRFIMFAIXA%TYPE,
    P_FILIAL        IN VARCHAR2,
    P_LANCTONF      IN NOTAFISCAL.NRLANCTONF%TYPE,
    P_IDINTERNAC    IN CODSITUTRIB.IDCSTINTERNA%TYPE DEFAULT 'N'
)
IS
BEGIN

   CONSULTA_CST(P_ENTRSAID, P_EMPRESA, P_PRODUTO, P_INSCESTA, P_TIPOOPER, P_FILIAL, P_LANCTONF, P_CDGRUPOFISC, P_IDINTEREST, P_IDINTERNAC);

   CONSULTA_CFOP(P_ENTRSAID, P_EMPRESA, P_PRODUTO, P_INSCESTA, P_TIPOOPER, P_PAISORIG,
                 P_ESTAORIG, P_PAISDEST, P_ESTADEST, P_FILIAL, P_LANCTONF, P_CDGRUPOFISC, P_INIVALID);

   CONSULTA_INCIDENCIA(P_ENTRSAID, P_EMPRESA, P_PRODUTO, P_INSCESTA, P_TIPOOPER, P_FILIAL, P_LANCTONF, P_CDGRUPOFISC, '', P_IDINTEREST, '');

   CONSULTA_ALIQUOTA(P_IMPOSTO, P_ENTRSAID, P_EMPRESA, P_PRODUTO, P_INSCESTA, P_PAISORIG, P_ESTAORIG,
                     P_PAISDEST, P_ESTADEST, P_CDMUNICIPIO, P_BASECALC, P_INIVALID, P_FILIAL, P_LANCTONF, P_CDGRUPOFISC,P_TIPOOPER);

END;
/

-- VERSAO --
BEGIN ATUVEROBJ('CONSULTA_FISCAL','5.05.065'); END;
/

